[arch-commits] Commit in fastjar/repos (3 files)

Andrea Scarpino andrea at archlinux.org
Wed May 27 11:58:00 EDT 2009


    Date: Wednesday, May 27, 2009 @ 11:57:59
  Author: andrea
Revision: 40083

Merged revisions 356,40082 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/fastjar/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r40082 | andrea | 2009-05-27 17:57:36 +0200 (Wed, 27 May 2009) | 1 line
  
  upgpkg: fastjar 0.97-1
........

Added:
  fastjar/repos/extra-i686/fastjar.install
    (from rev 40082, fastjar/trunk/fastjar.install)
Modified:
  fastjar/repos/extra-i686/	(properties)
  fastjar/repos/extra-i686/PKGBUILD

-----------------+
 PKGBUILD        |   20 +++++++++++++-------
 fastjar.install |   16 ++++++++++++++++
 2 files changed, 29 insertions(+), 7 deletions(-)


Property changes on: fastjar/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /fastjar/trunk:1
   + /fastjar/trunk:1-40082

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-27 15:57:36 UTC (rev 40082)
+++ extra-i686/PKGBUILD	2009-05-27 15:57:59 UTC (rev 40083)
@@ -1,17 +1,23 @@
+# $Id$
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+
 pkgname=fastjar
-pkgver=0.95
+pkgver=0.97
 pkgrel=1
 pkgdesc="Sun java jar compatible archiver"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://savannah.nongnu.org/projects/fastjar"
-license=(GPL)
-depends=('zlib')
+license=('GPL')
+depends=('zlib' 'texinfo')
+install=fastjar.install
 source=(http://download.savannah.nongnu.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz)
-md5sums=('92a70f9e56223b653bce0f58f90cf950')
+md5sums=('2659f09c2e43ef8b7d4406321753f1b2')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr || return 1
   make || return 1 || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+
+  rm -rf ${pkgdir}/usr/share/info/dir || return 1
 }

Copied: fastjar/repos/extra-i686/fastjar.install (from rev 40082, fastjar/trunk/fastjar.install)
===================================================================
--- extra-i686/fastjar.install	                        (rev 0)
+++ extra-i686/fastjar.install	2009-05-27 15:57:59 UTC (rev 40083)
@@ -0,0 +1,16 @@
+infodir=usr/share/info
+file=fastjar.info
+
+post_install() {
+  install-info $infodir/$file $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list